org.minidns.record

## Enum Record.CLASS

- java.lang.Object
- - java.lang.Enum<Record.CLASS>
  - - org.minidns.record.Record.CLASS

- All Implemented Interfaces:
    Serializable, Comparable<Record.CLASS>
  Enclosing class:
    Record<D extends Data>

      public static enum Record.CLASS
      extends Enum<Record.CLASS>

  The symbolic class of a DNS record (usually `IN` for Internet).
  See Also:
    IANA Domain Name System (DNS) Parameters - DNS CLASSes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `CH` The Chaos class.
    `HS` The Hesiod class.
    `IN` The Internet class.
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record.CLASS` | `getClass(int value)` Retrieve the symbolic DNS class for a binary class value.
    `int` | `getValue()` Retrieve the binary value of this DNS class.
    `static Record.CLASS` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Record.CLASS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final Record.CLASS ANY

    - #### CH

          public static final Record.CLASS CH

      The Chaos class.

    - #### HS

          public static final Record.CLASS HS

      The Hesiod class.

    - #### IN

          public static final Record.CLASS IN

      The Internet class. This is the most common class used by todays DNS systems.

    - #### NONE

          public static final Record.CLASS NONE

  - ### Method Detail

    - #### getClass

          public static Record.CLASS getClass(int value)

      Retrieve the symbolic DNS class for a binary class value.
      Parameters:
        `value` - The binary DNS class value.
      Returns:
        The symbolic class instance.

    - #### getValue

          public int getValue()

      Retrieve the binary value of this DNS class.
      Returns:
        The binary value of this DNS class.

    - #### valueOf

          public static Record.CLASS valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Record.CLASS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Record.CLASS c : Record.CLASS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared